#!/bin/bash

get_distro() {
  if [ -f /etc/os-release ]; then
    . /etc/os-release
    OS_ID=$ID
    OS_VERSION=$VERSION_ID
  elif [ -f /etc/lsb-release ]; then
    . /etc/lsb-release
    OS_ID=$DISTRIB_ID
    OS_VERSION=$DISTRIB_RELEASE
  fi

}
get_distro

if [[ ( "$OS_ID" == "Ubuntu"  ||  "$OS_ID" == "ubuntu" ) &&  "$OS_VERSION" == "22.04" ]]; then
  echo "Installing xTend..."
  wget http://mirrors.edge.kernel.org/ubuntu/pool/main/libb/libbpf/libbpf1_1.1.0-1_amd64.deb
  sudo dpkg -i libbpf1_1.1.0-1_amd64.deb
  sudo apt install -y software-properties-common
  sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
  sudo apt update
  sudo apt install -y gcc-13 g++-13
  sudo add-apt-repository -y --remove ppa:ubuntu-toolchain-r/test
  sudo apt install ./*.deb
  sudo apt update
  sudo rm libbpf1_1.1.0-1_amd64.deb
elif [ "$OS_ID" == "debian" ] && [ "$OS_VERSION" == "12" ]; then
  echo "Installing xTend..."
  wget http://ftp.us.debian.org/debian/pool/main/g/gcc-14/gcc-14-base_14-20240201-3_amd64.deb
  sudo dpkg -i gcc-14-base_14-20240201-3_amd64.deb
  wget http://ftp.us.debian.org/debian/pool/main/g/gcc-14/libstdc++6_14-20240201-3_amd64.deb
  sudo dpkg -i libstdc++6_14-20240201-3_amd64.deb
  sudo apt install ./*.deb
  rm gcc-14-base_14-20240201-3_amd64.deb
  rm libstdc++6_14-20240201-3_amd64.deb
else
  echo "Unsupported OS"
  exit 1
fi
